Bug 496908 - Errata is_public logic is backwards
Errata is_public logic is backwards
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
RHN Stable
All Linux
low Severity medium
: ---
: ---
Assigned To: Sebastian Skracic
Red Hat Network Quality Assurance
https://rhn.redhat.com/errata/RHEA-20...
US1575
:
Depends On:
Blocks: rhn-sprint41
  Show dependency treegraph
 
Reported: 2009-04-21 11:51 EDT by James Bowes
Modified: 2013-01-10 05:02 EST (History)
5 users (show)

See Also:
Fixed In Version: 5.2.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-14 18:03:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Bowes 2009-04-21 11:51:02 EDT
When deciding if an errata is public or not, the perl code says "if this errata belongs to any private channels, it's not public". The logic should really be "if this errata belongs to any public channels, it's public". See modules/rhn/RHN/DB/Errata.pm, sub is_public

This affects the public errata pages, specifically RHBA-2008-0591, which is in the rhel 5 client channel, and thus viewable in the rhel 5 client errata list, but returns 'not found' when you click on it.
Comment 1 Sebastian Skracic 2010-03-03 11:50:55 EST
An example of non-accessible erratum:  Check the errata available at

http://rhn.redhat.com/errata/rhn-tools-errata.html

Click on 'KVM Guest management' erratum:
http://rhn.redhat.com/errata/RHEA-2009-1639.html 

yields "Page Not Found".
Comment 2 Sebastian Skracic 2010-03-04 07:01:49 EST
Fixed in 53ad63dd6619cd539e0c4099617846e7fbbf12f2.
Comment 3 Sebastian Skracic 2010-03-04 07:15:15 EST
And on WEBDEV.
Comment 4 Denise Hughes 2010-03-24 20:49:53 EDT
Verified on webdev on 3/5/10
Comment 5 Grant Gainey 2010-06-14 18:03:07 EDT
Addressed in 521

Note You need to log in before you can comment on or make changes to this bug.